Index: trunk/doc/Flair/search/all_8.js
===================================================================
--- trunk/doc/Flair/search/all_8.js	(revision 61)
+++ trunk/doc/Flair/search/all_8.js	(revision 62)
@@ -48,5 +48,5 @@
   ['importpathlist',['importPathList',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#importPathList',0,'QDeclarativeEngine']]],
   ['importplugin',['importPlugin',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#importPlugin',0,'QDeclarativeEngine']]],
-  ['imu',['Imu',['../classflair_1_1sensor_1_1_imu.html#ab8c2e7ec4d6d6d4efd175d2ce0811159',1,'flair::sensor::Imu::Imu(std::string name)'],['../classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a',1,'flair::sensor::Imu::Imu(const core::IODevice *parent, std::string name)']]],
+  ['imu',['Imu',['../classflair_1_1sensor_1_1_imu.html#a6d89cc906fe0eeb233aa50bf59f99bb3',1,'flair::sensor::Imu::Imu(std::string name, bool needRotation=true)'],['../classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a',1,'flair::sensor::Imu::Imu(const core::IODevice *parent, std::string name)']]],
   ['imu',['Imu',['../classflair_1_1sensor_1_1_imu.html',1,'flair::sensor']]],
   ['imu_2eh',['Imu.h',['../_imu_8h.html',1,'']]],
@@ -340,5 +340,5 @@
   ['iscompositingmanagerrunning',['isCompositingManagerRunning',['http://qt-project.org/doc/qt-4.8/qx11info.html#isCompositingManagerRunning',0,'QX11Info']]],
   ['iscompressed',['isCompressed',['http://qt-project.org/doc/qt-4.8/qresource.html#isCompressed',0,'QResource']]],
-  ['isconnected',['isConnected',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#isConnected',0,'QDBusConnection::isConnected()'],['../classflair_1_1sensor_1_1_radio_receiver.html#a96e7b48b8e28bb8acdc936b6c8e55f79',1,'flair::sensor::RadioReceiver::IsConnected()']]],
+  ['isconnected',['IsConnected',['../classflair_1_1sensor_1_1_radio_receiver.html#a96e7b48b8e28bb8acdc936b6c8e55f79',1,'flair::sensor::RadioReceiver::IsConnected()'],['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#isConnected',0,'QDBusConnection::isConnected()']]],
   ['isconstant',['isConstant',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#isConstant',0,'QMetaProperty']]],
   ['iscontainer',['isContainer',['http://qt-project.org/doc/qt-4.8/qdesignercustomwidgetinterface.html#isContainer',0,'QDesignerCustomWidgetInterface']]],
Index: trunk/doc/Flair/search/all_b.js
===================================================================
--- trunk/doc/Flair/search/all_b.js	(revision 61)
+++ trunk/doc/Flair/search/all_b.js	(revision 62)
@@ -49,5 +49,5 @@
   ['launchfinished',['launchFinished',['http://qt-project.org/doc/qt-4.8/q3process.html#launchFinished',0,'Q3Process']]],
   ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html',1,'flair::gui']]],
-  ['layout',['layout',['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()'],['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()']]],
+  ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()']]],
   ['layout_2eh',['Layout.h',['../_layout_8h.html',1,'']]],
   ['layoutabouttobechanged',['layoutAboutToBeChanged',['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#layoutAboutToBeChanged',0,'QAbstractItemModel']]],
Index: trunk/doc/Flair/search/all_d.js
===================================================================
--- trunk/doc/Flair/search/all_d.js	(revision 61)
+++ trunk/doc/Flair/search/all_d.js	(revision 62)
@@ -34,6 +34,9 @@
   ['needsnotifysignal',['needsNotifySignal',['http://qt-project.org/doc/qt-4.8/qdeclarativeproperty.html#needsNotifySignal',0,'QDeclarativeProperty']]],
   ['negativesign',['negativeSign',['http://qt-project.org/doc/qt-4.8/qlocale.html#negativeSign',0,'QLocale']]],
+  ['neom8n',['NeoM8N',['../classflair_1_1sensor_1_1_neo_m8_n.html',1,'flair::sensor']]],
+  ['neom8n',['NeoM8N',['../classflair_1_1sensor_1_1_neo_m8_n.html#af6a4f92fb6b657ef64c2613f6c7a3673',1,'flair::sensor::NeoM8N']]],
+  ['neom8n_2eh',['NeoM8N.h',['../_neo_m8_n_8h.html',1,'']]],
+  ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html',1,'flair::filter']]],
   ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html#a9a3ffb0952adc785f5b3f1e92d1a02cd',1,'flair::filter::NestedSat']]],
-  ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html',1,'flair::filter']]],
   ['nestedsat_2eh',['NestedSat.h',['../_nested_sat_8h.html',1,'']]],
   ['netmask',['netmask',['http://qt-project.org/doc/qt-4.8/qnetworkaddressentry.html#netmask',0,'QNetworkAddressEntry']]],
@@ -85,6 +88,6 @@
   ['nlerp',['nlerp',['http://qt-project.org/doc/qt-4.8/qquaternion.html#nlerp',0,'QQuaternion']]],
   ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967',1,'flair::sensor::NmeaGps']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93',1,'flair::sensor::NmeaGps::NmeaGps(std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
   ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html',1,'flair::sensor']]],
-  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93',1,'flair::sensor::NmeaGps::NmeaGps(std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
   ['nmeagps_2eh',['NmeaGps.h',['../_nmea_gps_8h.html',1,'']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
@@ -97,5 +100,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry() const']]],
-  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
+  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
@@ -125,6 +128,6 @@
   ['notifysignal',['notifySignal',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignal',0,'QMetaProperty']]],
   ['notifysignalindex',['notifySignalIndex',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignalIndex',0,'QMetaProperty']]],
+  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html',1,'flair::sensor']]],
   ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#af3ac244b2a6c4ddfebe6b9a9da65e659',1,'flair::sensor::Novatel']]],
-  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html',1,'flair::sensor']]],
   ['novatel_2eh',['Novatel.h',['../_novatel_8h.html',1,'']]],
   ['nplot',['NPlot',['../classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086',1,'flair::sensor::NmeaGps']]],
Index: trunk/doc/Flair/search/all_e.js
===================================================================
--- trunk/doc/Flair/search/all_e.js	(revision 61)
+++ trunk/doc/Flair/search/all_e.js	(revision 62)
@@ -13,5 +13,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
+  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/doc/Flair/search/classes_13.js
===================================================================
--- trunk/doc/Flair/search/classes_13.js	(revision 61)
+++ trunk/doc/Flair/search/classes_13.js	(revision 62)
@@ -1,6 +1,6 @@
 var searchData=
 [
+  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tab',['Tab',['http://qt-project.org/doc/qt-4.8/qtextoption-tab.html',0,'QTextOption']]],
-  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tabwidget',['TabWidget',['../classflair_1_1gui_1_1_tab_widget.html',1,'flair::gui']]],
   ['targetcontroller',['TargetController',['../classflair_1_1sensor_1_1_target_controller.html',1,'flair::sensor']]],
@@ -12,9 +12,9 @@
   ['trajectorygenerator1d',['TrajectoryGenerator1D',['../classflair_1_1filter_1_1_trajectory_generator1_d.html',1,'flair::filter']]],
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
+  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
-  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
   ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
-  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]]
+  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]]
 ];
Index: trunk/doc/Flair/search/classes_d.js
===================================================================
--- trunk/doc/Flair/search/classes_d.js	(revision 61)
+++ trunk/doc/Flair/search/classes_d.js	(revision 62)
@@ -1,4 +1,5 @@
 var searchData=
 [
+  ['neom8n',['NeoM8N',['../classflair_1_1sensor_1_1_neo_m8_n.html',1,'flair::sensor']]],
   ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html',1,'flair::filter']]],
   ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html',1,'flair::sensor']]],
Index: trunk/doc/Flair/search/files_c.js
===================================================================
--- trunk/doc/Flair/search/files_c.js	(revision 61)
+++ trunk/doc/Flair/search/files_c.js	(revision 62)
@@ -1,4 +1,5 @@
 var searchData=
 [
+  ['neom8n_2eh',['NeoM8N.h',['../_neo_m8_n_8h.html',1,'']]],
   ['nestedsat_2eh',['NestedSat.h',['../_nested_sat_8h.html',1,'']]],
   ['nmeagps_2eh',['NmeaGps.h',['../_nmea_gps_8h.html',1,'']]],
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 61)
+++ trunk/doc/Flair/search/functions_13.js	(revision 62)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
+  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
@@ -411,4 +411,5 @@
   ['tryaccess',['tryAccess',['http://qt-project.org/doc/qt-4.8/q3semaphore.html#tryAccess',0,'Q3Semaphore']]],
   ['tryacquire',['tryAcquire',['http://qt-project.org/doc/qt-4.8/qsemaphore.html#tryAcquire',0,'QSemaphore::tryAcquire(int n)'],['http://qt-project.org/doc/qt-4.8/qsemaphore.html#tryAcquire-2',0,'QSemaphore::tryAcquire(int n, int timeout)']]],
+  ['trygetsemaphore',['TryGetSemaphore',['../classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5',1,'flair::core::Semaphore']]],
   ['trylock',['tryLock',['http://qt-project.org/doc/qt-4.8/qcoreapplication-qt3.html#tryLock',0,'QCoreApplication::tryLock()'],['http://qt-project.org/doc/qt-4.8/qmutex.html#tryLock',0,'QMutex::tryLock()'],['http://qt-project.org/doc/qt-4.8/qmutex.html#tryLock-2',0,'QMutex::tryLock(int timeout)']]],
   ['trylockforread',['tryLockForRead',['http://qt-project.org/doc/qt-4.8/qreadwritelock.html#tryLockForRead',0,'QReadWriteLock::tryLockForRead()'],['http://qt-project.org/doc/qt-4.8/qreadwritelock.html#tryLockForRead-2',0,'QReadWriteLock::tryLockForRead(int timeout)']]],
Index: trunk/doc/Flair/search/functions_1a.js
===================================================================
--- trunk/doc/Flair/search/functions_1a.js	(revision 61)
+++ trunk/doc/Flair/search/functions_1a.js	(revision 62)
@@ -57,4 +57,5 @@
   ['_7emediasource',['~MediaSource',['http://qt-project.org/doc/qt-4.8/phonon-mediasource.html#dtor.MediaSource',0,'Phonon::MediaSource']]],
   ['_7emutex',['~Mutex',['../classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb',1,'flair::core::Mutex']]],
+  ['_7eneom8n',['~NeoM8N',['../classflair_1_1sensor_1_1_neo_m8_n.html#a2c206a51496a87a5d3ce9539c95a3ad0',1,'flair::sensor::NeoM8N']]],
   ['_7enestedsat',['~NestedSat',['../classflair_1_1filter_1_1_nested_sat.html#a899e174f442b871ecf4000f720fb11e9',1,'flair::filter::NestedSat']]],
   ['_7enmeagps',['~NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9',1,'flair::sensor::NmeaGps']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 61)
+++ trunk/doc/Flair/search/functions_6.js	(revision 62)
@@ -42,5 +42,5 @@
   ['getdop',['GetDop',['../classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6',1,'flair::core::GpsData']]],
   ['getdouble',['getDouble',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#getDouble',0,'QInputDialog::getDouble(QWidget *parent, const QString &amp;title, const QString &amp;label, double value, double min, double max, int decimals, bool *ok, QFlags&lt; Qt::WindowType &gt; flags)'],['http://qt-project.org/doc/qt-4.8/qinputdialog-qt3.html#getDouble-2',0,'QInputDialog::getDouble(const QString &amp;title, const QString &amp;label, double value, double min, double max, int decimals, bool *ok, QWidget *parent, const char *name, QFlags&lt; Qt::WindowType &gt; flags)']]],
-  ['getenu',['GetEnu',['../classflair_1_1sensor_1_1_nmea_gps.html#af3b2504dd9cdb94ee02c49f21dc0c1d8',1,'flair::sensor::NmeaGps::GetEnu()'],['../classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d',1,'flair::core::GpsData::GetEnu()']]],
+  ['getenu',['GetEnu',['../classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d',1,'flair::core::GpsData']]],
   ['getexistingdirectory',['getExistingDirectory',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getExistingDirectory',0,'QFileDialog::getExistingDirectory(QWidget *parent, const QString &amp;caption, const QString &amp;dir, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getExistingDirectory-2',0,'QFileDialog::getExistingDirectory(const QString &amp;dir, QWidget *parent, const char *name, const QString &amp;caption, bool dirOnly, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getExistingDirectory',0,'Q3FileDialog::getExistingDirectory()']]],
   ['getfirst',['getFirst',['http://qt-project.org/doc/qt-4.8/q3ptrlist.html#getFirst',0,'Q3PtrList']]],
Index: trunk/doc/Flair/search/functions_8.js
===================================================================
--- trunk/doc/Flair/search/functions_8.js	(revision 61)
+++ trunk/doc/Flair/search/functions_8.js	(revision 62)
@@ -43,5 +43,5 @@
   ['importpathlist',['importPathList',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#importPathList',0,'QDeclarativeEngine']]],
   ['importplugin',['importPlugin',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#importPlugin',0,'QDeclarativeEngine']]],
-  ['imu',['Imu',['../classflair_1_1sensor_1_1_imu.html#ab8c2e7ec4d6d6d4efd175d2ce0811159',1,'flair::sensor::Imu::Imu(std::string name)'],['../classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a',1,'flair::sensor::Imu::Imu(const core::IODevice *parent, std::string name)']]],
+  ['imu',['Imu',['../classflair_1_1sensor_1_1_imu.html#a6d89cc906fe0eeb233aa50bf59f99bb3',1,'flair::sensor::Imu::Imu(std::string name, bool needRotation=true)'],['../classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a',1,'flair::sensor::Imu::Imu(const core::IODevice *parent, std::string name)']]],
   ['imudata',['ImuData',['../classflair_1_1core_1_1_imu_data.html#a1a277282db7d19ed76e41a4f7a782934',1,'flair::core::ImuData']]],
   ['inactive',['inactive',['http://qt-project.org/doc/qt-4.8/qpalette-qt3.html#inactive',0,'QPalette']]],
@@ -318,5 +318,5 @@
   ['iscompositingmanagerrunning',['isCompositingManagerRunning',['http://qt-project.org/doc/qt-4.8/qx11info.html#isCompositingManagerRunning',0,'QX11Info']]],
   ['iscompressed',['isCompressed',['http://qt-project.org/doc/qt-4.8/qresource.html#isCompressed',0,'QResource']]],
-  ['isconnected',['isConnected',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#isConnected',0,'QDBusConnection::isConnected()'],['../classflair_1_1sensor_1_1_radio_receiver.html#a96e7b48b8e28bb8acdc936b6c8e55f79',1,'flair::sensor::RadioReceiver::IsConnected()']]],
+  ['isconnected',['IsConnected',['../classflair_1_1sensor_1_1_radio_receiver.html#a96e7b48b8e28bb8acdc936b6c8e55f79',1,'flair::sensor::RadioReceiver::IsConnected()'],['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#isConnected',0,'QDBusConnection::isConnected()']]],
   ['isconstant',['isConstant',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#isConstant',0,'QMetaProperty']]],
   ['iscontainer',['isContainer',['http://qt-project.org/doc/qt-4.8/qdesignercustomwidgetinterface.html#isContainer',0,'QDesignerCustomWidgetInterface']]],
Index: trunk/doc/Flair/search/functions_b.js
===================================================================
--- trunk/doc/Flair/search/functions_b.js	(revision 61)
+++ trunk/doc/Flair/search/functions_b.js	(revision 62)
@@ -43,5 +43,5 @@
   ['launch',['launch',['http://qt-project.org/doc/qt-4.8/q3process.html#launch-2',0,'Q3Process::launch(const QString &amp;buf, QStringList *env)'],['http://qt-project.org/doc/qt-4.8/q3process.html#launch',0,'Q3Process::launch(const QByteArray &amp;buf, QStringList *env)']]],
   ['launchfinished',['launchFinished',['http://qt-project.org/doc/qt-4.8/q3process.html#launchFinished',0,'Q3Process']]],
-  ['layout',['layout',['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()'],['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()']]],
+  ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()']]],
   ['layoutabouttobechanged',['layoutAboutToBeChanged',['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#layoutAboutToBeChanged',0,'QAbstractItemModel']]],
   ['layoutbuttonrow',['layOutButtonRow',['http://qt-project.org/doc/qt-4.8/q3wizard.html#layOutButtonRow',0,'Q3Wizard']]],
Index: trunk/doc/Flair/search/functions_d.js
===================================================================
--- trunk/doc/Flair/search/functions_d.js	(revision 61)
+++ trunk/doc/Flair/search/functions_d.js	(revision 62)
@@ -31,4 +31,5 @@
   ['needsnotifysignal',['needsNotifySignal',['http://qt-project.org/doc/qt-4.8/qdeclarativeproperty.html#needsNotifySignal',0,'QDeclarativeProperty']]],
   ['negativesign',['negativeSign',['http://qt-project.org/doc/qt-4.8/qlocale.html#negativeSign',0,'QLocale']]],
+  ['neom8n',['NeoM8N',['../classflair_1_1sensor_1_1_neo_m8_n.html#af6a4f92fb6b657ef64c2613f6c7a3673',1,'flair::sensor::NeoM8N']]],
   ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html#a9a3ffb0952adc785f5b3f1e92d1a02cd',1,'flair::filter::NestedSat']]],
   ['netmask',['netmask',['http://qt-project.org/doc/qt-4.8/qnetworkaddressentry.html#netmask',0,'QNetworkAddressEntry']]],
@@ -88,5 +89,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
+  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 61)
+++ trunk/doc/Flair/search/functions_e.js	(revision 62)
@@ -10,5 +10,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
+  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/include/FlairCore/Semaphore.h
===================================================================
--- trunk/include/FlairCore/Semaphore.h	(revision 61)
+++ trunk/include/FlairCore/Semaphore.h	(revision 62)
@@ -48,4 +48,12 @@
 
   /*!
+  * \brief TryGetSemaphore
+  *
+  * Lock the semaphore. If not possible immediately returns false
+  *
+  */
+  bool TryGetSemaphore() const;
+
+  /*!
   * \brief GetSemaphore
   *
